package com.utopiaindustries.model.ctp;

import java.time.LocalDateTime;
import java.util.List;

public class InventoryTransaction {

    private long id;
    private LocalDateTime transactionDateTime;
    private String generatedBy;
    private String notes;
    // wrapper
    private List<InventoryTransactionLeg> inventoryTransactionLegs;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public LocalDateTime getTransactionDateTime() {
        return transactionDateTime;
    }

    public void setTransactionDateTime(LocalDateTime transactionDateTime) {
        this.transactionDateTime = transactionDateTime;
    }

    public String getGeneratedBy() {
        return generatedBy;
    }

    public void setGeneratedBy(String generatedBy) {
        this.generatedBy = generatedBy;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public List<InventoryTransactionLeg> getInventoryTransactionLegs() {
        return inventoryTransactionLegs;
    }

    public void setInventoryTransactionLegs(List<InventoryTransactionLeg> inventoryTransactionLegs) {
        this.inventoryTransactionLegs = inventoryTransactionLegs;
    }

    @Override
    public String toString() {
        return "InventoryTransaction{" +
                "id=" + id +
                ", transactionDateTime=" + transactionDateTime +
                ", generatedBy='" + generatedBy + '\'' +
                ", notes='" + notes + '\'' +
                '}';
    }
}

